<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.common.module.mapper.CorpFeishuUserMapper">

    <select id="getOpenIdByParams" resultType="java.lang.String">
        select
            fuser.open_id
        from
            ctop_corp_feishu_user fuser
        left join ctop_user_allocation allocation on allocation.user_id = fuser.user_id
        where
            allocation.project_id = #{projectId}
    </select>
</mapper>
